//
//  Authenticator.h
//  SSH Tunnel Manager
//
//  Created by Yann Bizeul on 10/03/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "YesNoPanel.h"
#import "PassphrasePanel.h"

@interface Authenticator : NSObject {
    IBOutlet YesNoPanel *yesNoPanel;
    IBOutlet PassphrasePanel *passphrasePanel;
    
    NSFileHandle *stdOut;
    NSString *tunnelName;
    NSString *hostName;
    NSString *userName;
    UInt16 port;
    NSString *uuid;
}
- (IBAction)cancel:(id)sender;
- (void)returnString:(NSString*)aString store:(BOOL)aBool;
@end
